# boost::lockfree::fifo< T *, freelist_t, Alloc > Class Template Reference

`#include <fifo.hpp>`

Inherits boost::lockfree::detail::fifo< T, freelist_t, Alloc >< T *, freelist_t, Alloc >.

List of all members.

## Detailed Description

### template<typename T, typename freelist_t, typename Alloc>
class boost::lockfree::fifo< T *, freelist_t, Alloc >

lockfree fifo, template specialization for pointer-types

- wrapper for detail::fifo
- overload dequeue to support smart pointers

Definition at line 224 of file fifo.hpp.

## Public Member Functions

| fifo (void)
| fifo (std::size_t initial_nodes)
bool | enqueue (T *t)
bool | dequeue (T **ret)
bool | dequeue (std::auto_ptr< T > &ret)
bool | dequeue (boost::scoped_ptr< T > &ret)
bool | dequeue (boost::shared_ptr< T > &ret)

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/fifo.hpp